<?php

function getPaginationStyle($type)
{
	$data = array(
	'style1' => 'of' ,
	'style2'=> '/',
	'style3' => '-'
  );
	return ($data[$type]);
}

function renderTabs2Pagination($b, $element, $custom_classes, $elStyles, $colors, $viewport)
{
	$data = $element['data'];
	$user_data = $data['user_data'];
	$elMarkup = "";

	extract($user_data);
	$fontData = getFontData($user_data, "labelFont");

	$pagination=' <div
  class="flex-element-type-tabs2-pagination__item"
  data-font="'.$fontData['dataFont'].'"
  style="'.$fontData['style'].'" >
     <span class="flex-element-type-tabs2-pagination__current-slide">1</span> '.getPaginationStyle($type).' <span class="flex-element-type-tabs2-pagination__total-slides">1</span>
   </div>';

	$elMarkup .= '<div class="'.$b.'__element '.$b.'__element--'.$element["id"].' '.$b.'__element--tabs2-pagination '.$custom_classes.'" style="'.$elStyles.'">
    <div
      class="flex-element-type-tabs2-pagination"
      style="
        --color: '.getStyleKitColor($color).';
        justify-content: center;
        --textAlign: center;
      "
      data-selected-tabs-element="'.$selectedTabsElement.'"
    >
      '.$pagination.
	'</div>
  </div>';

	return $elMarkup;
}
